Page MenuHomeFreeBSD

net/rabbitmq: Import patch to make it compatible with Elixir 1.9.0
ClosedPublic

Authored by dumbbell on Jun 27 2019, 2:49 PM.

Details

Summary

The patch contains two parts:

  1. Bump the maximum compatible Elixir version in deps/rabbitmq_cli/mix.exs.
  2. Improve the hack to make mix(1) work offline (i.e. no access to repo.hex.pm).
Test Plan

Tested in Poudriere

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dumbbell created this revision.Jun 27 2019, 2:49 PM
olgeni accepted this revision.Jun 29 2019, 1:56 PM
This revision is now accepted and ready to land.Jun 29 2019, 1:56 PM
dch accepted this revision.Jun 30 2019, 3:12 PM